/****************************** Module Header ******************************\
*
* Module Name: warp4def.h
*
* Include file for compiling this library with the WARP 3 toolkit
*
* Copyright (c) WPS Toolkit Project - Christian Langanke 2000
*
* $Id: warp4def.h,v 1.1 2000/12/08 07:04:58 cla Exp $
*
* ===========================================================================
*
* This file is part of the WPS Toolkit package and is free software.  You can
* redistribute it and/or modify it under the terms of the GNU Library General
* Public License as published by the Free Software Foundation, in version 2
* as it comes in the "COPYING.LIB" file of the WPS Toolkit main distribution.
* This library is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Library General Public
* License for more details.
*
\***************************************************************************/

#ifndef WTKWARP4DEF_INCLUDED
#define WTKWARP4DEF_INCLUDED

#ifdef __cplusplus
      extern "C" {
#endif

/* some definitions of WARP 4 Toolkit not included in WARP 3 Toolkit */

#ifndef CCS_MINIICONS
/* Style to have container support mini icons with the minirecord. */
#define CCS_MINIICONS             0x00000800L
#endif

#ifndef BS_NOTEBOOKBUTTON
#define BS_NOTEBOOKBUTTON          8L
#endif

#ifndef WinShowControl
#define WinShowControl(hwndDlg, id, fShow) \
WinShowWindow(WinWindowFromID(hwndDlg, id), fShow)
#endif

#ifndef OBJSTYLE_LOCKEDINPLACE
#define OBJSTYLE_LOCKEDINPLACE  0x00020000
#endif

#ifdef __cplusplus
        }
#endif

#endif /* WTKWARP4DEF_INCLUDED */

