/****************************** Module Header ******************************\
*
* Module Name: wtkumod.h
*
* Include file for module helper functions (EXE and DLL)
*
* Copyright (c) WPS Toolkit Project - Christian Langanke 2000
*
* $Id: wtkumod.h,v 1.3 2003/04/25 11:12:02 cla Exp $
*
* ===========================================================================
*
* This file is part of the WPS Toolkit package and is free software.  You can
* redistribute it and/or modify it under the terms of the GNU Library General
* Public License as published by the Free Software Foundation, in version 2
* as it comes in the "COPYING.LIB" file of the WPS Toolkit main distribution.
* This library is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Library General Public
* License for more details.
*
\***************************************************************************/

#ifndef WTKUTLMODULE_INCLUDED
#define WTKUTLMODULE_INCLUDED Module helper functions (EXE and DLL)

#ifdef __cplusplus
      extern "C" {
#endif

/*** prototypes for module information functions ***************************/
APIRET APIENTRY WtkGetPackageFilename( PFN pfn, PSZ pszSubdir, PSZ pszFilename,
                              PSZ pszFileext, PSZ pszBuffer, ULONG ulBuflen);
APIRET APIENTRY WtkGetModuleInfo( PFN pfn, PHMODULE phmod, PSZ pszBuffer, ULONG ulBuflen);
APIRET APIENTRY WtkGetModulePath( PFN pfn, PSZ pszBuffer, ULONG ulBuflen);
HMODULE APIENTRY WtkGetModuleHandle( PFN pfn);

#ifdef __cplusplus
        }
#endif

#endif /* WTKUTLMODULE_INCLUDED */

